<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="html" indent="yes"/>
<xsl:template match="/">

<Contents Find="TickerItem">
	<TickerHeader>
		<xsl:if test="@TICKERCOLOR">
			<xsl:attribute name="BGColor"><xsl:value-of select="@TICKERCOLOR"/></xsl:attribute>
		</xsl:if>
		<Item bold="yes">
			<xsl:if test="@TICKERCOLOR = ''">
				<xsl:attribute name="TextColor">skin.epbar.ticker.headercolor</xsl:attribute>
			</xsl:if>
			<xsl:choose>
				<xsl:when test="@TICKERHEADER = ''">
					<xsl:attribute name="Text">&#32;&#32;&#32;&#32;&#32;&#32;&#32;&#32;&#32;&#32;&#32;&#32;<xsl:value-of select="@NAME"/>&#32;.&#32;.&#32;.&#32;.&#32;&#32;&#32;&#32;</xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="Text">&#32;&#32;&#32;&#32;&#32;&#32;&#32;&#32;&#32;&#32;&#32;&#32;<xsl:value-of select="@TICKERHEADER"/>&#32;.&#32;.&#32;.&#32;.&#32;&#32;&#32;&#32;</xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
		</Item>
	</TickerHeader>
	<xsl:for-each select="DATOM">
		<TickerItem> 
			<xsl:choose>
				<xsl:when test="MEDIABUNDLE/@TYPE == 'video'">
					<Item>
						<xsl:attribute name="File">./skins/default/videoicon.gif</xsl:attribute>
					</Item>
				</xsl:when>
				<xsl:otherwise>
					<Item>
						<xsl:attribute name="File">./images/<xsl:value-of select="@PROVIDER"/>.gif</xsl:attribute>
					</Item>
				</xsl:otherwise>
			</xsl:choose>
			<Item>
				<xsl:attribute name="Text">&#32;&#32;&#32;</xsl:attribute>
			</Item>

			<Item>
				<xsl:choose>
					<xsl:when test="@PROVIDER == 'Sportsticker'">
						<xsl:attribute name="TextLink">no</xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="TextLink">yes</xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>

				<xsl:attribute name="Text"><xsl:value-of select="TITLE"/></xsl:attribute>
			</Item>

			<xsl:if test="@PROVIDER != 'Sportsticker'">
				<xsl:attribute name="Link"><xsl:value-of select="URL"/></xsl:attribute>
			</xsl:if>

			<xsl:choose>
				<xsl:when test="ABSTRACT">
					<xsl:attribute name="Abstract">Source:&#32;<xsl:value-of select="@PROVIDER"/>&#13;
						<xsl:format-time select="ITEM/@CREATEDATE" format="%a %b %#d %Y %#I:%M %p %Z" />
						&#13;&#13;<xsl:value-of select="Abstract"/></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="Abstract">Source:&#32;<xsl:value-of select="@PROVIDER"/></xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>

			<xsl:if test="@PROVIDER != 'Sportsticker'">
				<ClickAction>
					<xsl:attribute name="TITLE"><xsl:value-of select="TITLE"/></xsl:attribute>
					<xsl:choose>
						<xsl:when test="../@TTYPE == 'alert'">
							<xsl:choose>
								<xsl:when test="@TYPE != 'brul'">
									<xsl:attribute name="ALERTID"><xsl:value-of select="@ALERTID"/></xsl:attribute>
									<xsl:attribute name="RULE"><xsl:value-of select="@RULE"/></xsl:attribute>
									<xsl:attribute name="TYPE">ALERT</xsl:attribute>
								</xsl:when> 
								<xsl:otherwise>
									<xsl:attribute name="URL"><xsl:value-of select="URL"/></xsl:attribute>
									<xsl:attribute name="ALERTID"><xsl:value-of select="@ALERTID"/></xsl:attribute>
									<xsl:attribute name="RULE"><xsl:value-of select="@RULE"/></xsl:attribute>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:when>
						<xsl:otherwise>
							<xsl:choose>
								<xsl:when test="MEDIABUNDLE/@TYPE == 'video'">
									<xsl:attribute name="URL"><xsl:value-of select="MEDIABUNDLE/MEDIA/URL"/></xsl:attribute>
									<xsl:attribute name="ALERTID"><xsl:value-of select="@ALERTID"/></xsl:attribute>
									<xsl:attribute name="TYPE">VIDEO</xsl:attribute>
									<xsl:attribute name="PROVIDER"><xsl:value-of select="ITEM/@FEED"/></xsl:attribute>
								</xsl:when>
								<xsl:otherwise>
									<xsl:attribute name="URL"><xsl:value-of select="URL"/>&amp;topcat=<xsl:value-of select="../@ID"/></xsl:attribute>
									<xsl:attribute name="ALERTID"><xsl:value-of select="@ALERTID"/></xsl:attribute>
									<xsl:attribute name="RULE"><xsl:value-of select="@RULE"/></xsl:attribute>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:otherwise>
					</xsl:choose>
				</ClickAction>
			</xsl:if>

		</TickerItem>

		<TickerItem Text="        "/>

	</xsl:for-each>
</Contents>
</xsl:template>
</xsl:stylesheet>
